<?php
    
/** Set flag that this is a parent file */
define("IN_COPPERMINE", true);

function cpgGetMicroTime()
{
    list($usec, $sec) = explode(" ", microtime());
    return ((float)$usec + (float)$sec);
}

if(file_exists('include/config.inc.php')){
        ob_start();
        require_once 'include/config.inc.php';
        ob_clean();
}

$mb_utf8_regex = '[\xE1-\xEF][\x80-\xBF][\x80-\xBF]|\xE0[\xA0-\xBF][\x80-\xBF]|[\xC2-\xDF][\x80-\xBF]';
require 'include/functions.inc.php';
($CONFIG['LINK_ID'] = cpg_db_connect()) || die('<b>Coppermine critical error</b>:<br />Unable to connect to database !<br /><br />MySQL said: <b>' . mysql_error() . '</b>');

require_once( 'include/turing.class.php'); 
 
$CONFIG['TABLE_TURINGS']  = $CONFIG['TABLE_PREFIX'].'turings';

$turingNumber = new TuringNumber();
   
   
if(!isset($_GET["session"]))
	{
	die("Error generating turing number : no session specified. Get outta here ! :p");	// In order to arrive here, you do have to want it... so why be gentle with the intruder ? :D
	}

$img = $turingNumber->generateImage();

// Creates the headers
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); 
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); 
header("Cache-Control: no-store, no-cache, must-revalidate"); 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");
header("Content-Type: image/png");
imagePNG($img);
imagedestroy($img);

?>